import { createStackNavigator } from '@react-navigation/stack';
import React from 'react';
import { useTheme } from '../contexts/theme';
import AttemptLockout from '../screens/AttemptLockout';
import PINEnter from '../screens/PINEnter';
import { Screens } from '../types/navigators';
import { useDefaultStackOptions } from './defaultStackOptions';
const AuthenticateStack = ({
  setAuthenticated
}) => {
  const Stack = createStackNavigator();
  const theme = useTheme();
  const defaultStackOptions = useDefaultStackOptions(theme);
  return /*#__PURE__*/React.createElement(Stack.Navigator, {
    screenOptions: {
      ...defaultStackOptions,
      presentation: 'transparentModal',
      headerShown: false
    }
  }, /*#__PURE__*/React.createElement(Stack.Screen, {
    name: Screens.EnterPIN,
    component: PINEnter,
    initialParams: {
      setAuthenticated
    }
  }), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: Screens.AttemptLockout,
    component: AttemptLockout
  }));
};
export default AuthenticateStack;
//# sourceMappingURL=AuthenticateStack.js.map